GroupControllerAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.group.control.GroupControllerAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.group.control
Class GroupControllerAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.control.ResourceControlController
                              org.hyperic.hq.ui.action.resource.group.control.GroupControllerAction

    public class GroupControllerAction

extends ResourceControlController

A `ResourceControllerAction` that sets up group control portals.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`GroupControllerAction()`

Method Summary
`protected void` | `checkGroupHasMembers(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `controlStatusHistory(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method to call when mode=history
`org.apache.struts.action.ActionForward` | `controlStatusHistoryDetail(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method to call when mode=hstDetail.
`org.apache.struts.action.ActionForward` | `currentControlStatus(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `currentControlStatusDetail(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Method to call when mode=crntDetail
`org.apache.struts.action.ActionForward` | `editScheduledControlAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`org.apache.struts.action.ActionForward` | `newScheduledControlAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.control.ResourceControlController
`checkControlEnabled, controlStatusHistory, controlStatusHistoryDetail, currentControlStatus, editScheduledControlAction, getKeyMethodMap, newScheduledControlAction`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### GroupControllerAction

    public GroupControllerAction()

Method Detail

### currentControlStatus

    public org.apache.struts.action.ActionForward currentControlStatus(org.apache.struts.action.ActionMapping mapping,
                                                                       org.apache.struts.action.ActionForm form,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### currentControlStatusDetail

    public org.apache.struts.action.ActionForward currentControlStatusDetail(org.apache.struts.action.ActionMapping mapping,
                                                                             org.apache.struts.action.ActionForm form,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             javax.servlet.http.HttpServletResponse response)
                                                                      throws java.lang.Exception

  Method to call when mode=crntDetail

  Throws:
    `java.lang.Exception`

### controlStatusHistory

    public org.apache.struts.action.ActionForward controlStatusHistory(org.apache.struts.action.ActionMapping mapping,
                                                                       org.apache.struts.action.ActionForm form,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)
                                                                throws java.lang.Exception

  Method to call when mode=history

  Throws:
    `java.lang.Exception`

### controlStatusHistoryDetail

    public org.apache.struts.action.ActionForward controlStatusHistoryDetail(org.apache.struts.action.ActionMapping mapping,
                                                                             org.apache.struts.action.ActionForm form,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             javax.servlet.http.HttpServletResponse response)
                                                                      throws java.lang.Exception

  Method to call when mode=hstDetail.

  Throws:
    `java.lang.Exception`

### newScheduledControlAction

    public org.apache.struts.action.ActionForward newScheduledControlAction(org.apache.struts.action.ActionMapping mapping,
                                                                            org.apache.struts.action.ActionForm form,
                                                                            javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)
                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editScheduledControlAction

    public org.apache.struts.action.ActionForward editScheduledControlAction(org.apache.struts.action.ActionMapping mapping,
                                                                             org.apache.struts.action.ActionForm form,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             javax.servlet.http.HttpServletResponse response)
                                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkGroupHasMembers

    protected void checkGroupHasMembers(org.apache.struts.action.ActionMapping mapping,
                                        org.apache.struts.action.ActionForm form,
                                        javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.